## creduce 2.0.1

=== debian/changelog ===
creduce (2.0.1-1) experimental; urgency=low

  * Initial release. Closes: #678645.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Jan 2013 17:23:23 +0100
