=== debian/control ===
Source: creduce
Section: devel
Priority: extra
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev,
  llvm-3.2-dev, libclang-dev (>= 3.2),
  clang (>= 3.2),
  libbenchmark-timer-perl, libsys-cpu-perl,
  libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
  indent, astyle, delta
Standards-Version: 3.9.4
Homepage: http://embed.cs.utah.edu/creduce/

Package: creduce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libbenchmark-timer-perl, libsys-cpu-perl,
  libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
  indent, astyle, delta
Recommends: gcc | clang
Description: Test-Case Reduction for C Compiler Bugs
 C-Reduce is a tool which takes a large C or C++ program that has a
 property of interest (such as triggering a compiler bug) and
 automatically produces a much smaller C/C++ program that has the same
 property.  It is intended for use by people who discover and report
 bugs in compilers and other tools that process C/C++ code.
