=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@  --with autotools-dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-llvm=/usr/lib/llvm-3.2
	
override_dh_auto_test:
# these are time consuming ...
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 x32))
	cd tests && ./run_tests
endif

override_dh_auto_clean:
	rm -rf tests/tmp_*
	dh_auto_clean
