## creduce 2.1.0

=== debian/changelog ===
creduce (2.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Nov 2013 23:16:35 +0200

creduce (2.0.1-3) unstable; urgency=low

  * Fix a crash, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Apr 2013 13:25:28 +0200
