=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev,
-  llvm-3.2-dev, libclang-dev (>= 3.2),
-  clang (>= 3.2),
+  llvm-3.3-dev, libclang-3.3-dev,
+  clang-3.3,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
+  libgetopt-tabular-perl,
   indent, astyle, delta
 Standards-Version: 3.9.4
 Homepage: http://embed.cs.utah.edu/creduce/
@@ -17,6 +18,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
+  libgetopt-tabular-perl,
   indent, astyle, delta
 Recommends: gcc | clang
 Description: Test-Case Reduction for C Compiler Bugs
