## creduce 2.2~pre1

=== debian/changelog ===
creduce (2.2~pre1-2) unstable; urgency=medium

  * Build-depend on flex.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2014 14:01:12 +0100

creduce (2.2~pre1-1) unstable; urgency=medium

  * New upstream snapshot (trunk 20140327).
  * Build using llvm-3.4.

 -- Matthias Klose <doko@debian.org>  Thu, 27 Mar 2014 12:00:43 +0100
