=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev,
-  llvm-3.3-dev, libclang-3.3-dev,
-  clang-3.3,
+  flex,
+  llvm-3.4-dev, libclang-3.4-dev,
+  clang-3.4, clang-format-3.4,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl,
   indent, astyle, delta
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+  clang-format-3.4,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl,
