=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@  --with autotools-dev --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-llvm=/usr/lib/llvm-3.3
+	dh_auto_configure -- --with-llvm=/usr/lib/llvm-3.4 CLANG_FORMAT=clang-format-3.4
 	
 override_dh_auto_test:
 # these are time consuming ...
