## creduce 2.2~pre3

=== debian/changelog ===
creduce (2.2~pre3-3) unstable; urgency=medium

  * Bump dependency on clang-format-3.x.
  * Drop the unversioned build dependency on clang, and allow the
    tests to use a versioned clang-x.y binary.
  * Build-depend on frama-c-base.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2014 14:46:13 +0200

creduce (2.2~pre3-2) unstable; urgency=medium

  * Build-depend on libedit-dev and zlib1g-dev, missing dependencies
    of llvm-3.5-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 18:56:34 +0200

creduce (2.2~pre3-1) unstable; urgency=medium

  * New upstream snapshot (llvm-svn-compatible 20140811).
  * Build using llvm-3.5-dev and libclang-3.5-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 14:04:49 +0200

creduce (2.2~pre2-1) unstable; urgency=medium

  * New upstream snapshot (trunk 20140811).

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 13:37:15 +0200
