## creduce 2.2.1

=== debian/changelog ===
creduce (2.2.1-1~14.04) trusty-proposed; urgency=medium

  * Build for trusty, using llvm-3.5 on all architectures. LP: #1426725.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Feb 2015 17:23:40 +0100

creduce (2.2.1-1) unstable; urgency=medium

  * C-Reduce 2.2.1 release.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Oct 2014 09:51:25 +0200
