=== debian/control ===
--- 
+++ 
@@ -5,19 +5,24 @@
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev,
   flex,
-  llvm-3.4-dev, libclang-3.4-dev,
-  clang-3.4, clang-format-3.4,
+  libedit-dev, zlib1g-dev,
+  llvm-3.5-dev, libclang-3.5-dev,
+  clang-3.5, clang-format-3.5,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl,
-  indent, astyle, delta
+  indent, astyle, delta,
+# for running the tests:
+  frama-c-base,
+# wrong kcc, https://code.google.com/p/c-semantics/ is needed
+Build-Conflicts: kcc
 Standards-Version: 3.9.5
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-3.4,
+  clang-format-3.5,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl,
