## creduce 2.3.0

=== debian/changelog ===
creduce (2.3.0-0ubuntu1) wily; urgency=medium

  * C-Reduce 2.3.0 release.
  * Build using llvm-3.6.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 13:22:58 +0200
