=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 8.0.0), autotools-dev,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-3.5-dev, libclang-3.5-dev,
-  clang-3.5, clang-format-3.5,
+  llvm-3.6-dev, libclang-3.6-dev,
+  clang-3.6, clang-format-3.6,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl,
@@ -16,13 +16,13 @@
   frama-c-base,
 # wrong kcc, https://code.google.com/p/c-semantics/ is needed
 Build-Conflicts: kcc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-3.5,
+  clang-format-3.6,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl,
