=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V	= 3.5
+CLANG_V	= 3.6
 CLANG	= clang-$(CLANG_V)
 GCC	= gcc
 
@@ -18,7 +18,7 @@
 	
 override_dh_auto_test:
 # these are time consuming ...
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 x32 ppc64 ppc64el))
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf arm64 amd64 i386 x32 powerpc ppc64 ppc64el))
 	cd tests && CLANG="$(CLANG)" GCC="$(GCC)" ./run_tests
 endif
