## creduce 2.4.0

=== debian/changelog ===
creduce (2.4.0-1) unstable; urgency=medium

  * C-Reduce 2.4.0 release.
  * Build using llvm-3.7.
  * (Build-)depend on libterm-readkey-perl.
  * Prepare to build using llvm-3.8 (from the llvm-svn-compatible branch).

 -- Matthias Klose <doko@debian.org>  Sat, 05 Dec 2015 07:39:22 +0100

creduce (2.3.0-1) unstable; urgency=medium

  * C-Reduce 2.3.0 release.
  * Build using llvm-3.6.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2015 13:22:58 +0200
