=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: extra
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev,
+Build-Depends: debhelper (>= 9), autotools-dev,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-3.6-dev, libclang-3.6-dev,
-  clang-3.6, clang-format-3.6,
+  llvm-3.7-dev, libclang-3.7-dev,
+  clang-3.7, clang-format-3.7,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
-  libgetopt-tabular-perl,
+  libgetopt-tabular-perl, libterm-readkey-perl,
   indent, astyle, delta,
 # for running the tests:
-  frama-c-base,
-# wrong kcc, https://code.google.com/p/c-semantics/ is needed
+  frama-c-base
 Build-Conflicts: kcc
 Standards-Version: 3.9.6
 Homepage: http://embed.cs.utah.edu/creduce/
@@ -22,10 +21,10 @@
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-3.6,
+  clang-format-3.7,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
-  libgetopt-tabular-perl,
+  libgetopt-tabular-perl, libterm-readkey-perl,
   indent, astyle, delta
 Recommends: gcc | clang
 Description: Test-Case Reduction for C Compiler Bugs
