## creduce 2.5~20160312

=== debian/changelog ===
creduce (2.5~20160312-1) unstable; urgency=medium

  * Upstream snapshot, taken from master.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Mar 2016 11:06:08 +0100

creduce (2.4.0-12) experimental; urgency=medium

  * Update to the llvm-svn-compatible branch.
  * Build using llvm-3.8.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2016 13:56:20 +0100

creduce (2.4.0-11) experimental; urgency=medium

  * C-Reduce 2.4.0 release.
  * Update to the llvm-svn-compatible branch.
  * Build using llvm-3.8.
  * (Build-)depend on libterm-readkey-perl.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Dec 2015 02:07:34 +0100
