=== debian/changelog ===
creduce (2.5~20160420-0ubuntu1) xenial; urgency=medium

  * Upstream snapshot, taken from master.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Apr 2016 13:57:19 +0200
