=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), autotools-dev,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-3.7-dev, libclang-3.7-dev,
-  clang-3.7, clang-format-3.7,
+  llvm-3.8-dev, libclang-3.8-dev,
+  clang-3.8, clang-format-3.8,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
@@ -15,13 +15,13 @@
 # for running the tests:
   frama-c-base
 Build-Conflicts: kcc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-3.7,
+  clang-format-3.8,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
