=== debian/watch ===
version=3
http://embed.cs.utah.edu/creduce creduce-(.*)\.tar\.gz
