## creduce 2.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,11 +27,11 @@
 set(creduce_PACKAGE "creduce")
 set(creduce_PACKAGE_BUGREPORT "creduce-bugs@flux.utah.edu")
 set(creduce_PACKAGE_NAME "creduce")
-set(creduce_PACKAGE_STRING "creduce 2.4.0")
+set(creduce_PACKAGE_STRING "creduce 2.5.0")
 set(creduce_PACKAGE_TARNAME "creduce")
 set(creduce_PACKAGE_URL "http://embed.cs.utah.edu/creduce/")
-set(creduce_PACKAGE_VERSION "2.4.0")
-set(creduce_VERSION "2.4.0")
+set(creduce_PACKAGE_VERSION "2.5.0")
+set(creduce_VERSION "2.5.0")
 
 execute_process(COMMAND "git" "show" "-s" "--format=%h" WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}" OUTPUT_VARIABLE creduce_GIT_HASH)
 string(STRIP "${creduce_GIT_HASH}" creduce_GIT_HASH)
@@ -42,8 +42,8 @@
 #endif(freeExists)
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-  set(CMAKE_CXX_FLAGS "-std=c++11 -fno-rtti -Wall -Wextra -Wno-long-long -Wno-unused-parameter")
-  set(CMAKE_CXX_FLAGS_RELEASE "-O3 -fno-strict-aliasing")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-rtti -Wall -Wextra -Wno-long-long -Wno-unused-parameter")
+  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -fno-strict-aliasing")
 endif()
 
 #FIXME: Should be determined automatically
