=== debian/changelog ===
creduce (2.5.0-0ubuntu1) xenial-proposed; urgency=medium

  * SRU LP: #1585156, backport to 16.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 May 2016 12:57:07 +0200

creduce (2.5.0-1) unstable; urgency=medium

  * C-Reduce 2.5.0 release.
  * Remove (build-)dependency on delta.

 -- Matthias Klose <doko@debian.org>  Tue, 24 May 2016 08:51:47 +0200
