=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
-  indent, astyle, delta,
+  indent, astyle,
 # for running the tests:
   frama-c-base
 Build-Conflicts: kcc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
@@ -25,7 +25,7 @@
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
-  indent, astyle, delta
+  indent, astyle,
 Recommends: gcc | clang
 Description: Test-Case Reduction for C Compiler Bugs
  C-Reduce is a tool which takes a large C or C++ program that has a
