=== debian/changelog ===
creduce (2.6~20160921-1) unstable; urgency=medium

  * Upstream snapshot, taken from master.
  * Drop indent and astyle (build-)dependencies.
  * Build using llvm-3.9.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Sep 2016 15:08:51 +0200
