=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends: debhelper (>= 9), autotools-dev,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-3.8-dev, libclang-3.8-dev,
-  clang-3.8, clang-format-3.8,
+  llvm-3.9-dev, libclang-3.9-dev,
+  clang-3.9, clang-format-3.9,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
-  indent, astyle,
 # for running the tests:
   frama-c-base
 Build-Conflicts: kcc
@@ -21,11 +20,10 @@
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-3.8,
+  clang-format-3.9,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
-  indent, astyle,
 Recommends: gcc | clang
 Description: Test-Case Reduction for C Compiler Bugs
  C-Reduce is a tool which takes a large C or C++ program that has a
