=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V	= 3.8
+CLANG_V	= 3.9
 CLANG	= clang-$(CLANG_V)
 GCC	= gcc
