=== clang_delta/CMakeLists.txt ===
--- 
+++ 
@@ -31,10 +31,14 @@
 link_directories(${LLVM_LIBRARY_DIRS})
 
 llvm_map_components_to_libnames(LLVM_LIBS
+  coverage
   irreader
   mcparser
+  objcarcopts
   option
+  passes
   profiledata
+  support
 )
 
 set(CLANG_LIBS
@@ -55,6 +59,7 @@
   clangBasic
   clangEdit
   clangLex
+  clangARCMigrate
 )
 
 add_executable(clang_delta
@@ -212,6 +217,12 @@
 
 target_link_libraries(clang_delta ${CLANG_LIBS} ${LLVM_LIBS})
 
+# On Windows, we also need to link with "Version.dll" system library.
+# See <https://github.com/csmith-project/creduce/pull/126>.
+if("${CMAKE_SYSTEM_NAME}" STREQUAL "Windows")
+  target_link_libraries(clang_delta Version)
+endif()
+
 install(TARGETS clang_delta
   RUNTIME DESTINATION "libexec"
 )
