=== debian/changelog ===
creduce (2.6.0-1) unstable; urgency=medium

  * C-Reduce 2.6.0 release.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Jan 2017 22:55:38 +0100
