## creduce 2.7~20170317

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ## -*- mode: CMake -*-
 ##
-## Copyright (c) 2012, 2013, 2014, 2015, 2016 The University of Utah
+## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2017 The University of Utah
 ## All rights reserved.
 ##
 ## This file is distributed under the University of Illinois Open Source
@@ -26,9 +26,14 @@
 find_package(LLVM REQUIRED CONFIG NO_CMAKE_BUILDS_PATH)
 message(STATUS "Found LLVM ${LLVM_PACKAGE_VERSION}")
 message(STATUS "Using LLVMConfig.cmake in ${LLVM_DIR}")
-if (${LLVM_PACKAGE_VERSION} VERSION_LESS "3.9")
-  message(FATAL_ERROR "C-Reduce requires LLVM 3.9 or later")
+if (${LLVM_PACKAGE_VERSION} VERSION_LESS "4.0")
+  message(FATAL_ERROR "C-Reduce requires LLVM 4.0 or later")
 endif()
+#
+# Do this here, too, just to keep it with the LLVM check above.
+#
+find_package(Clang REQUIRED CONFIG NO_CMAKE_BUILDS_PATH)
+message(STATUS "Using ClangConfig.cmake in ${Clang_DIR}")
 
 # Locate Perl and check its version.
 #
@@ -51,7 +56,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "b02c375")
+set(GIT_HASH "$Format:%h$")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -85,11 +90,11 @@
 set(creduce_PACKAGE			"creduce")
 set(creduce_PACKAGE_BUGREPORT		"creduce-bugs@flux.utah.edu")
 set(creduce_PACKAGE_NAME		"creduce")
-set(creduce_PACKAGE_STRING		"creduce 2.6.0")
+set(creduce_PACKAGE_STRING		"creduce 2.7.0")
 set(creduce_PACKAGE_TARNAME		"creduce")
 set(creduce_PACKAGE_URL			"http://embed.cs.utah.edu/creduce/")
-set(creduce_PACKAGE_VERSION		"2.6.0")
-set(creduce_VERSION			"2.6.0")
+set(creduce_PACKAGE_VERSION		"2.7.0")
+set(creduce_VERSION			"2.7.0")
 
 # FIXME: Should be determined automatically.
 set(YYTEXT_POINTER 1)
