=== debian/changelog ===
creduce (2.7~20170317-1) unstable; urgency=medium

  * Upstream snapshot, taken from master.
  * Build using llvm-4.0.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Mar 2017 11:49:02 +0100
