=== debian/changelog ===
creduce (2.7.0-1) unstable; urgency=medium

  * C-Reduce 2.7.0 release.

 -- Matthias Klose <doko@debian.org>  Sun, 21 May 2017 14:12:57 -0700
