=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), autotools-dev,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-3.9-dev, libclang-3.9-dev,
-  clang-3.9, clang-format-3.9,
+  llvm-4.0-dev, libclang-4.0-dev,
+  clang-4.0, clang-format-4.0,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
@@ -20,7 +20,7 @@
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-3.9,
+  clang-format-4.0,
   libbenchmark-timer-perl, libsys-cpu-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
